List Form Submissions

Paginated list of completed submissions for a form, newest first. Each row includes the submitted data keyed by field key, the sender/recipient, IP, user-agent, and timestamps.

Authentication

PINNACLE-API-KEYstring
API Key authentication via header

Path parameters

idstringRequired

The unique identifier of the form whose submissions you want to list.

This identifier is a string that always begins with the prefix form_, for example: form_Oy2n7iUoi9CJwUU6.

Request

This endpoint expects an object.
pageIndexintegerOptional>=0Defaults to 0

Zero-based page index.

pageSizeintegerOptional1-100Defaults to 20
Number of submissions to return in a single page. Max 100.

Response

Paginated list of submissions.
datalist of objects
Submissions on this page, newest first.
hasMoreboolean

True if there are more pages after this one. Fetch the next page by incrementing pageIndex.

countinteger

Number of submissions returned in data.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error